
QGIS Application - Feature request #1949

Ability to select features by polygon

2009-09-23 09:58 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12009

Description

The ability to select vector features that are "fully" contained within a user defined polygon.

History

#1 - 2009-09-23 10:38 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

the "select by polygon" feature already exist.

#2 - 2009-09-24 04:33 AM - Jeremy Palmer

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

I tried the select plus plugin, but it does not have the function to select features that lie fully within a polygon. Currently the plugin's selectRubberBand

function selects features based on an intersection which is not what I want.

I've also noticed that the QGISGeometry class does not expose a contains method for other geometries, which would be required. I guess this could easily

be added though.

#3 - 2009-09-24 04:02 PM - Giovanni Manghi

Hi,

did you tested the "select by location" tool in the "tools -> research tools" menu?

#4 - 2009-09-24 04:14 PM - Jeremy Palmer

Thanks for the help, I didn't see that option. However that option also uses intersects to select the features. Plus you have to create a polygon in another

layer first. Not very user friendly.

If we could get the contains method added to the QGISGeometry, we could easily update the select plus functionality. Just looking at the code it would be

very simple.

It would be really nice to get the select plus functions added to core and exposed within the view menu and toolbar.
#5 - 2010-08-12 04:07 PM - Jeremy Palmer

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in #2938
